# README
This folder contains a short tutorial and a sample project for Assignment 9 of the HCI course at the FU Berlin, summer term 2024.

First, please go through the tutorial in the jupyter notebook titled 'tutorial.ipynb'. You can start the notebook by typing `jupyter notebook` in your terminal and selecting the notebook file.

You can then examine the sample project by running `python app.py` in your terminal. The project uses Flask to deploy a simple website that sends requests to an LLM running on the 'moritz.imp.fu-berlin.de' server and displays the responses. Users can also change certain parameters of the LLM using sliders.

To change the design of the website, you can edit the 'index.html' file in the templates folder.

**Note:** If you are missing packages, you can install the required ones by typing `pip install -r requirements.txt` inside a terminal.